Validate that a custom domain points at the ingress CNAME
POST
/projects/ingresses/validate-dns
const url = 'https://example.com/projects/ingresses/validate-dns';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"domain":"example","projectId":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/projects/ingresses/validate-dns \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "domain": "example", "projectId": "example" }'Auth: authenticated (scope: deploy)
Authorizations
Section titled “Authorizations”Request Body
Section titled “Request Body”Media typeapplication/json
object
domain
required
string
projectId
required
string
Example generated
{ "domain": "example", "projectId": "example"}Responses
Section titled “Responses”OK
Media typeapplication/json
object
message
required
string
valid
required
boolean
key
additional properties
Example generated
{ "message": "example", "valid": true}